// Verilog definition of TB3
// created by TB

module TB3(N72, N73, N74, N75, N76, N77, N78, N79);
input N72;
input N73;
input N74;
input N75;
input N76;
output N77;
output N78;
output N79;

  wire N83;
  wire N84;
  wire N86;
  wire N89;
  wire N93;
  wire N99;

  xor2 ix35(N73, N75, N79);
  xnor2 ix33(N83, N84, N78);
  mux21_ni ix25(N86, N73, N75, N89);
  inv02 ix107(N76, N86);
  xnor2_2x ix109(N72, N93, N84);
  xnor2_2x ix111(N76, N74, N93);
  xnor2 ix31(N76, N99, N77);
  mux21_ni ix29(N83, N93, N84, N99);
  buf02 ix118(N89, N83);

endmodule
